PRLIMIT(1)

BEZEICHNUNG
prlimit - Begrenzungen für Prozessressourcen ermitteln und festlegen

ÜBERSICHT
prlimit [Optionen] [--Ressource[=Begrenzungen] [--pid Prozess-ID] prlimit [Optionen] [--Ressource[=Begrenzungen] Befehl [Argument …]

BESCHREIBUNG
Anhand einer Prozess-ID und einer oder mehrerer Ressourcen versucht prlimit die Begrenzungen zu ermitteln und/oder zu ändern. Wenn ein Befehl angegeben ist, führt prlimit diesen Befehl mit den angegebenen Argumenten aus. Der Parameter Begrenzungen wird aus einem weichen und einem harten Wert gebildet, durch einen Doppelpunkt (:) getrennt. Wenn keine Begrenzungen angegeben sind, zeigt prlimit die aktuellen Werte an. Falls nur einer der Werte nicht angegeben ist, dann wird der existierende Wert verwendet. Um die Begrenzung auf Unendlich zu setzen (RLIM_INFINITY), kann der Wert -1 oder die Zeichenkette »unlimited« übergeben werden. Aufgrund der Natur von Grenzwerten müssen die weichen Begrenzungen kleiner oder gleich den harten Grenzwerten sein (auch Obergrenze genannt). Eine Liste aller verfügbaren Ressourcenbegrenzungen finden Sie im Abschnitt RESSOURCENOPTIONEN.

weich:hart    legt beide Begrenzungen fest.

weich:        legt nur die weiche Begrenzung fest.

:hart        legt nur die harte Begrenzung fest.

Wert        setzt beide Begrenzungen auf den gleichen Wert.

ALLGEMEINE OPTIONEN

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

--noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    legt die zu verwendenden Ausgabespalten fest. Wenn keine Ausgabeanordnung angegeben ist, wird ein Standardsatz verwendet. Mit --help wird eine Liste aller unterstützten Spalten angezeigt.

-p, --pid
    legt die Prozess-ID fest. Falls keine angegeben ist, wird der laufende Prozess verwendet.

--raw
    verwendet das Rohformat für die Ausgabe.

--verbose
    aktiviert den ausführlichen Modus.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

RESSOURCENOPTIONEN

-c, --core[=Begrenzungen]
    maximale Größe einer Core-Datei

-d, --data[=Begrenzungen]
    maximale Datengröße

-e, --nice[=Begrenzungen]
    maximal zulässige Erhöhung der Nice-Priorität

-f, --fsize[=Begrenzungen]
    maximale Dateigröße

-i, --sigpending[=Begrenzungen]
    maximale Anzahl ausstehender Signale

-l, --memlock[=Begrenzungen]
    maximaler im Speicher gesperrter Adressraum

-m, --rss[=Begrenzungen]
    maximale »Resident Set Size« (RSS).

-n, --nofile[=Begrenzungen]
    maximale Anzahl an geöffneten Dateien

-q, --msgqueue[=Begrenzungen]
    maximale Anzahl Bytes in POSIX-Meldungswarteschlangen

-r, --rtprio[=Begrenzungen]
    maximale Echtzeitpriorität

-s, --stack[=Begrenzungen]
    maximale Größe des Stacks

-t, --cpu[=Begrenzungen]
    CPU-Zeit in Sekunden

-u, --nproc[=Begrenzungen]
    maximale Anzahl an Prozessen

-v, --as[=Begrenzungen]
    Adressraumbegrenzung

-x, --locks[=Begrenzungen]
    maximale Anzahl an eingerichteten Dateisperren

-y, --rttime[=Begrenzungen]
    Zeitüberschreitung für Echtzeit-Tasks

BEISPIELE

prlimit --pid 13134
    zeigt Begrenzungswerte für alle aktuellen Ressourcen an.

prlimit --pid 13134 --rss --nofile=1024:4095
    zeigt die RSS-Begrenzungen an und setzt die weichen und harten Begrenzungen für die Anzahl der geöffneten Dateien auf 1024 beziehungsweise 4095.

prlimit --pid 13134 --nproc=512:
    ändert nur die weichen Begrenzungen für die Anzahl der Prozesse.

prlimit --pid $$ --nproc=unlimited
    setzt für den aktuellen Prozess sowohl den harten als auch den weichen Wert für die Anzahl der Prozesse auf unbegrenzt.

prlimit --cpu=10 sort -u Riesendatei
    setzt die weiche und die harte Begrenzung der CPU-Zeit auf zehn Sekunden und führt »sort« aus.

SIEHE AUCH
ulimit(1), prlimit(2)

ANMERKUNGEN
Der prlimit-Systemaufruf wird unter Linux seit Version 2.6.36 unterstützt, ältere Kernel-Versionen bringen dieses Programm zum Absturz.

AUTOREN
Davidlohr Bueso <dave@gnu.org> - Im Gedenken an Dennis M. Ritchie.

VERFÜGBARKEIT
Der Befehl prlimit ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.